RelayAPI

Rotate the HMAC secret for a webhook_inbound entrypoint

POST
/v1/automation-entrypoints/{id}/rotate-secret
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/automation-entrypoints/string/rotate-secret"
{  "allow_reentry": true,  "automation_id": "string",  "channel": "instagram",  "config": {    "property1": null,    "property2": null  },  "created_at": "string",  "daily_cap": 0,  "filters": {    "property1": null,    "property2": null  },  "id": "string",  "kind": "dm_received",  "priority": 0,  "reentry_cooldown_min": 0,  "scheduling": {    "queued": true,    "reason": "string"  },  "social_account_id": "string",  "specificity": 0,  "status": "string",  "updated_at": "string",  "webhook_secret_plaintext": "string"}

Found something wrong? Help us improve this page.